Package com.xmlmind.w2x.docx.image

## Interface ImageConverterFactory

- All Known Implementing Classes:
    `EMF2PNG`, `ExternalImageConverter`, `ImageConverterFactoryImpl`, `WMFConverterFactory`

      public interface ImageConverterFactory

  Factory used to create image converters.

  Image converters are used to convert images having a format not supported by Web browsers (TIFF, WMF, EMF, etc) to a format supported by Web browsers (SVG, PNG, JPEG).

  A unique instance of the implementation of this interface is used by all threads. Therefore the implementation of this interface must be thread-safe.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImageConverter` | `createImageConverter​(String inExt, String outExt)` | Returns a image converter allowing to convert an image file having first specified filename extension to an image file having second specified filename extension.
    `String[]` | `getImageConversions()` | Returns an array containing pairs of strings specifying the image conversions supported by converters created by this factory.
    `String` | `getParameter​(String name)` | Returns the value of specified parameter.
    `void` | `setParameter​(String name, String value)` | Sets specified parameter.

- - ### Method Detail

    - #### setParameter

          void setParameter​(String name,
                            String value)
                     throws Exception

      Sets specified parameter.
      Parameters:
        `name` - name of parameter
        `value` - value of parameter; use `null` to unset it
      Throws:
        `Exception` - if for any reason this method fails
      See Also:
        `getParameter(java.lang.String)`

    - #### getParameter

          String getParameter​(String name)

      Returns the value of specified parameter.
      Parameters:
        `name` - name of parameter
      Returns:
        value of the parameter if set; `null` otherwise
      See Also:
        `setParameter(java.lang.String, java.lang.String)`

    - #### getImageConversions

          String[] getImageConversions()

      Returns an array containing pairs of strings specifying the image conversions supported by converters created by this factory.

      First element of the pair is an input file extension in lower-case. Examples: `wmf`, `emf`, `tif`, `tiff`.

      Second element of the pair is an output file extension in lower-case. Examples: `svg`, `png`, `jpg`, `jpeg`.

    - #### createImageConverter

          ImageConverter createImageConverter​(String inExt,
                                              String outExt)
                                       throws Exception

      Returns a image converter allowing to convert an image file having first specified filename extension to an image file having second specified filename extension.
      Parameters:
        `inExt` - the input filename extension
        `outExt` - the output filename extension
      Throws:
        `Exception` - if for any reason this method fails